For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Send2 SMS API
    • Introduction
    • GETCheck SMS Balance
    • POSTSend SMS
    • GETCheck SMS Delivery Report

Send SMS

||View as Markdown|
POST
https://sms.send-2.com/v1/message
POST
/v1/message
$curl -X POST https://sms.send-2.com/v1/message \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "phone": "8556a495c390f3ba95d2bdf6d06436f2fd09f516531f0a7cd9591c60812fa46d",
> "text": "Hello, your OTP is 123456",
> "sender": 12345
>}'
1{
2 "success": true,
3 "message": "Processed",
4 "data": {
5 "id": "01ksm2b4y5ttaca57a66f5aw81",
6 "status": "Sent",
7 "units": 1
8 }
9}
Was this page helpful?
Previous

Check SMS Balance

Next

Check SMS Delivery Report

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects a JSON payload / object.

phonestringRequired

MPESA hashed phone (e.g. 8556a495c390f3ba95d2bdf6d06436f2fd09f516531f0a7cd9591c60812fa46d) or standard international format (e.g. +254722000000)

textstringRequired
The SMS message content
senderintegerRequired
The numeric sender ID assigned to your account

Response

OK
successboolean
messagestring
dataobject

Errors

406
Not Acceptable Error